package App::POS::Printer::BLEEP910;

use strict;
use warnings;

use base qw( App::Class );

sub init {
  my $self = shift;
}

sub tweak_content {}

sub logo {
  return "";
}

sub document_start {
  return 
    chr(0x1B).
    chr(0x52).
    chr(0x1B).
    chr(0x68).
    chr(0x0F);
}

sub document_end {
  return 
    chr(0x1B).
    chr(0x52).
    chr(0x1B).
    chr(0x68).
    chr(0x0F);
}

sub print_invert {
  return "";
}

sub print_normal {
  return "";
}

sub black {
  return "";
}

sub red {
  return "";
}

sub bold {
  return "";
}

sub size_small {
  return "";
}

sub size_double {
  return
    chr(0x03);
}

sub size_huge {
  return
    chr(0x03);
}

sub size_normal {
  return
    chr(0x04);
}

sub underlined {
  return "";
}

sub underlined_off {
  return "";
}

sub line_change {
  return "";
}

sub cashdrawer1_open {
  return
    chr(0x1B).
    chr(0x70).
    chr(0x00).
    chr(0x60).
    chr(0xFF);
}

sub cashdrawer2_open {
  return
    chr(0x1B).
    chr(0x70).
    chr(0x01).
    chr(0x60).
    chr(0xFF);
}

sub paper_cut {
  return "";
}

sub bell {
  return "";
}

sub line_spacing_normal {
  return "";
}

sub line_spacing_big {
  return "";
}

sub barcode {
  return ();
}

sub barcode_small {
  return ();
}

sub barcode_big {
  return ();
}

sub justify_right {
  return &document_start();
}
sub justify_center {
  return &document_start();
}

sub justify_left {
  return &document_start();
}

1;

